Description

Please correct me if I'm wrong, but AFAIU, what we see here:

http://www.redmine.org/projects/redmine/wiki/redmineinstall#PostgreSQL

Is this:

CREATE ROLE redmine LOGIN ENCRYPTED PASSWORD 'my_password' NOINHERIT VALID UNTIL 'infinity';

CREATE DATABASE redmine WITH ENCODING='UTF8' OWNER=redmine;

When in fact it should THIS:

su postgres

psql

postgres=# CREATE ROLE redmine LOGIN ENCRYPTED PASSWORD '<password>' NOINHERIT VALID UNTIL 'infinity';

postgres=# CREATE DATABASE redmine WITH ENCODING='UTF8' OWNER=redmine TEMPLATE template0;

postgres=# \q

exit

The same applies to MySQL, we should present more complete instructions - shouldn't we...? (I don't have write access to the wiki,

that's why I didn't do it on my own).

History

#1 - 2014-08-03 02:43 - Michel Behr

Please correct me if I'm wrong, but AFAIU, what we see here:

http://www.redmine.org/projects/redmine/wiki/redmineinstall#PostgreSQL

Is this:

CREATE ROLE redmine LOGIN ENCRYPTED PASSWORD 'my_password' NOINHERIT VALID UNTIL 'infinity';

CREATE DATABASE redmine WITH ENCODING='UTF8' OWNER=redmine;

When in fact it should be THIS:

su postgres

psql

postgres=# CREATE ROLE redmine LOGIN ENCRYPTED PASSWORD '<password>' NOINHERIT VALID UNTIL 'infinity';

postgres=# CREATE DATABASE redmine WITH ENCODING='UTF8' OWNER=redmine TEMPLATE template0;

postgres=# \q

exit

The same applies to MySQL, we should present more complete instructions - shouldn't we...? (I don't have write access to the wiki, that's why I didn't

do it on my own).

#2 - 2014-08-05 00:09 - Jan Niggemann (redmine.org team member)

Personally, I don't see the big difference here. Basic knowledge of how to use your system is required anyway, so the wiki might IMHO as well stay as

it is, but that's just my 2ct.

#3 - 2014-08-07 20:31 - Michel Behr

Yes, I don't have that basic knowledge... :-) and I understand that at one time one needs to stop explaining and assume SOME basic understanding

as a premise - with that in mind my suggestion would be just a link to "psql basics", something like:

http://blog.sensible.io/2013/08/19/postgresql-basics-by-example.html

But yeah, now that I'm having to learn about databases, postgresql, etc, it seems pretty basic really and "standard" before anyone can deal with

redmine.
#4 - 2014-08-29 10:27 - Toshi MARUYAMA

- Category changed from Wiki to Documentation
